Subject: R: bug#61988: error compiling emacs

From: "Ugo Tomei" <[email-masked]>
Date: Tue, 7 Mar 2023 14:36:19 +0100

If i remove libwebpdecoder3 on my ubuntu 22.04 emacs compile well.
If I install libwebpdecoder3 not compile (/usr/bin/ld:
/lib/x86_64-linux-gnu/libwebp.so.7: error adding symbols: DSO missing from
command line):

  CC       textconv.o
  CC       xgselect.o
  CC       json.o
  CC       terminfo.o
  CC       lastfile.o
  CCLD     temacs
  GEN      ../etc/DOC
/usr/bin/ld: image.o: undefined reference to symbol 'WebPGetInfo'
/usr/bin/ld: /lib/x86_64-linux-gnu/libwebp.so.7: error adding symbols: DSO
missing from command line
collect2: error: ld returned 1 exit status
make[3]: *** [Makefile:705: temacs] Errore 1
make[3]: uscita dalla directory «/app/emacs/src»
make[2]: *** [Makefile:544: src] Errore 2
make[2]: uscita dalla directory «/app/emacs»
make[1]: *** [Makefile:1260: actual-bootstrap] Errore 2
make[1]: uscita dalla directory «/app/emacs»
make[1]: ingresso nella directory «/app/emacs»
***
*** "make bootstrap" failed with exit status 2.
***
*** You could try to:
*** - run "make extraclean" and run "make" again (or, equivalently, run
***   "make bootstrap configure=default"), to rebuild Emacs with the
***   default configuration options, which might fix the problem
*** - run "git clean -fdx" and run "make bootstrap" again, which might
***   fix the problem if "make bootstrap configure=default" did not
***   !BEWARE! "git clean -fdx" deletes all files that are not under
***   !BEWARE! version control, which means that all changes to such
***   !BEWARE! files will be lost and cannot be restored later
*** - run "make V=1", which displays the full commands invoked by make,
***   to further investigate the problem
*** - report the problem and ask for help by sending an email to
***   [email-masked], mentioning at least the build error
***   message, the platform, and the repository revision displayed by
***   "git rev-parse HEAD"
***
make[1]: *** [Makefile:414: advice-on-failure] Errore 2
make[1]: uscita dalla directory «/app/emacs»
make: *** [Makefile:1243: bootstrap] Errore 2
make -C lib all
make[1]: ingresso nella directory «/app/emacs/lib»
make[1]: Nessuna operazione da eseguire per «all».
make[1]: uscita dalla directory «/app/emacs/lib»
make -C lib-src all
make[1]: ingresso nella directory «/app/emacs/lib-src»
make[1]: Nessuna operazione da eseguire per «all».
make[1]: uscita dalla directory «/app/emacs/lib-src»
make -C src BIN_DESTDIR=''/usr/local/bin/'' \
         ELN_DESTDIR='/usr/local/lib/emacs/30.0.50/' all
make[1]: ingresso nella directory «/app/emacs/src»
make -C ../admin/charsets all
make[2]: ingresso nella directory «/app/emacs/admin/charsets»
make[2]: Nessuna operazione da eseguire per «all».
make[2]: uscita dalla directory «/app/emacs/admin/charsets»
make -C ../admin/unidata charscript.el
make[2]: ingresso nella directory «/app/emacs/admin/unidata»
make[2]: Nessuna operazione da eseguire per «charscript.el».
make[2]: uscita dalla directory «/app/emacs/admin/unidata»
make -C ../admin/unidata emoji-zwj.el
make[2]: ingresso nella directory «/app/emacs/admin/unidata»
make[2]: Nessuna operazione da eseguire per «emoji-zwj.el».
make[2]: uscita dalla directory «/app/emacs/admin/unidata»
  CCLD     temacs
/usr/bin/ld: image.o: undefined reference to symbol 'WebPGetInfo'
/usr/bin/ld: /lib/x86_64-linux-gnu/libwebp.so.7: error adding symbols: DSO
missing from command line
collect2: error: ld returned 1 exit status
make[1]: *** [Makefile:705: temacs] Errore 1
make[1]: uscita dalla directory «/app/emacs/src»
make: *** [Makefile:544: src] Errore 2

-----Messaggio originale-----
Da: Eli Zaretskii <[email-masked]> 
Inviato: martedì 7 marzo 2023 14:01
A: Po Lu <[email-masked]>
Cc: [email-masked]; [email-masked]
Oggetto: Re: bug#61988: error compiling emacs

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 07 Mar 2023 13:03:55 +0800
> 
> > I know, and that's not what I suggested.  It looks like at least on 
> > some systems (or maybe with some versions of libwebp) the 
> > libwebpdecoder library is not installed and not needed.  We must 
> > support such installations; we did until now.
> 
> OK, would both you and [email-masked] please try this?

Works for me, thanks.